---
title: Create a Sub Account
url: https://docs.vultr.com/platform/other/sub-accounts/create-a-sub-account
description: Learn how to create a sub-account to manage separate billing and resources under your main Vultr account
publish_date: 2024-11-15T18:19:51.781132Z
last_updated: 2025-09-12T21:47:40.963513Z
---

# How to Create a Vultr Sub-Account

Vultr Sub-Accounts is an account management feature that lets you create, monitor, and manage multiple accounts attached to your Vultr account. A Sub-Account is an independent Vultr user account that's linked to a parent Vultr account. A Sub-Account shares the parent account's billing information, allowing you to set up an account linking structure to separate specific user accounts with centralized billing to your main Vultr account.

Follow this guide to create a Sub-Account using the Vultr Console or API.

> [!NOTE]
> The Vultr Sub-Accounts feature is not enabled by default. Please [contact Vultr Sales](https://www.vultr.com/company/contact/sales/) to enable the Sub-Accounts feature on your Vultr account if it's not available on your account.

=== "Vultr Console"

    1. Navigate to **Account**.
    1. Find and Click **Sub-Accounts** within the **OTHER** section.

        ![Click Sub-Accounts](https://docs.vultr.com/public/doc-assets/1761/421bc1be9ac93807_compressed.webp)

    1. Fill in your Sub-Account information in the **Email** and **Label** fields respectively.
    1. Enter your desired ID value in the **ID** field. For example, `1` translates to the user ID `1` depending on your desired identification scheme.
    1. Click **Add Sub-Account** to create the Sub-Account and send an invitation email to the specified email address.
    1. Open your email inbox, locate the new account invitation email from `noreply@vultr.com`, and open it.

        ![Open New Sub-Account User Email](https://docs.vultr.com/public/doc-assets/1761/39696ea79b654f04_compressed.webp)

    1. Click the recovery link in the **Welcome to Vultr.com** email to set up the new Sub-Account and reset the password.

=== "Vultr API"

    1. Send a `POST` request to the [**Create Sub-Account** endpoint](https://www.vultr.com/api/#tag/subaccount/operation/create-subaccount) to create a new Sub-Account.

        ```console
        $ curl "https://api.vultr.com/v2/subaccounts" \
            -X POST \
            -H "Authorization: Bearer ${VULTR_API_KEY}" \
            -H "Content-Type: application/json" \
            --data '{
                "email" : "{subaccount_email}",
                "subaccount_name" : "{subaccount_label}",
                "subaccount_id" : "{custom_subaccount_ID}"
            }'
        ```

    1. Send a `GET` request to the [**List Sub-Accounts** endpoint](https://www.vultr.com/api/#tag/subaccount/operation/list-subaccounts) to view all Sub-Accounts for your account.

        ```console
        $ curl "https://api.vultr.com/v2/subaccounts" \
            -X GET \
            -H "Authorization: Bearer ${VULTR_API_KEY}"
        ```